#
# spec file for package AtomicParsley
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           AtomicParsley
Version:        0.9.6.109
Release:        lp150.2.4
Summary:        MPEG-4 metadata editor
License:        GPL-2.0-only
Group:          Productivity/Networking/File-Sharing
Url:            https://bitbucket.org/wez/atomicparsley
Source:         %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AtomicParsley is a lightweight command line program for reading, parsing and setting metadata into MPEG-4 files, in particular, iTunes-style metadata. 

%prep
%autosetup -p1

%build
bash autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
ln %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/atomicparsley

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*

%changelog
